> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/it/comandi-powershell/new-uddatetime.md).

# New-UDDateTime

### Sinossi

Questo componente di data e ora viene utilizzato per formattare date e ore utilizzando le impostazioni del browser dell'utente.

### Sintassi

```powershell
New-UDDateTime [-Id <String>] [[-InputObject] <DateTime>] [-LocalizedFormat <String>] [-Locale <String>] [<CommonParameters>]

    New-UDDateTime [-Id <String>] [[-InputObject] <DateTime>] [-Format <String>] [-Locale <String>] [<CommonParameters>]
```

### Descrizione

Questo componente di data e ora viene utilizzato per formattare date e ore utilizzando le impostazioni del browser dell'utente. Poiché gli script PowerShell di Universal Dashboard vengono eseguiti all'interno del server, le impostazioni di data e ora del sistema dell'utente non vengono prese in considerazione. Questo componente formatta data e ora all'interno del browser del client per tenere conto delle impostazioni locali e del fuso orario.

### Parametri

#### -Id

L'ID di questo componente.

```
Required?                    false
Position?                    named
Default value                [Guid]::NewGuid()
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -InputObject

L'oggetto data e ora da formattare.

```
Required?                    false
Position?                    1
Default value                (Get-Date)
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Format

Il formato della data e dell'ora. Questo componente utilizza Day.JS. Può trovare maggiori informazioni sulle opzioni di formattazione nella relativa documentazione: <https://day.js.org/docs/en/display/format>

```
Required?                    false
Position?                    named
Default value                DD/MM/YYYY
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -LocalizedFormat

Il formato localizzato per la data e l'ora. Utilizzi questo formato se desidera tenere conto delle impostazioni locali e del fuso orario del browser dell'utente.

```
Required?                    false
Position?                    named
Default value                LLL
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Locale

Le impostazioni locali da utilizzare per la formattazione della data e ora. Per impostazione predefinita non è impostato.

```
Required?                    false
Position?                    named
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false

    <CommonParameters>
        This cmdlet supports the common parameters: Verbose, Debug,
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
        OutBuffer, PipelineVariable, and OutVariable. For more information, see
        about_CommonParameters (https://go.microsoft.com/fwlink/?LinkID=113216).
```

### Output

\-------------------------- ESEMPIO 1 --------------------------

```
PS >New-UDDateTime -InputObject (Get-Date) -Format 'DD/MM/YYYY' -Id 'dateTime1'

Formats a date and time using the format 'DD/MM/YYYY'




-------------------------- EXAMPLE 2 --------------------------

PS >New-UDDateTime -InputObject (Get-Date) -LocalizedFormat 'LLL' -Id 'dateTime2'

Localized Format|Formats a date and time using the localized format 'LLL'




-------------------------- EXAMPLE 3 --------------------------

PS >New-UDDateTime -InputObject (Get-Date) -Locale 'es' -Id 'dateTime3'

Locale|Formats a date and time using the locale 'es'
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell-universal/it/comandi-powershell/new-uddatetime.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
